package com.ys.bdtp.adm.mvvm.model.db.entity

/**
 * 数据公共字段约束
 */
interface BaseEntity {
    val id: String               // id
    var valid: Int               // 有效标识: 1 保留, 0 删除
    var state: Int               // 数据状态：-1 默认, 0：本地创建, 1：修改过的网络数据 2：已上传的本地数据或者从网络来的数据
    val projectId: String?       // 项目id
    val buildingId: String?      // 建筑id
    val floorId: String?         // 楼层id
    val ts: Long                 // 服务端用时间戳
}

fun BaseEntity.state() {
    if (state == -1)
        state = 0

    if (state == 2)
        state = 1
}